#
# spec file for package soundio
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   1
%define soname  libsoundio
Name:           soundio
Version:        1.1.0
Release:        lp150.1.8
Summary:        A C99 library for realtime audio input/output
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://libsound.io/
Source0:        https://github.com/andrewrk/libsoundio/archive/%{version}.tar.gz#/%{soname}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc => 4.9.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library is an abstraction; however in the delicate balance between
performance and power, and API convenience, the scale is tipped closer to
the former. Features that only exist in some sound backends are exposed.

%package -n     %{soname}%{sover}
Summary:        A C99 library for realtime audio input/output
Group:          System/Libraries

%description -n %{soname}%{sover}
This appropriate for games, music players, digital audio workstations, and
various utilities.

This package contains the shared library.

%package -n     %{soname}-devel
Summary:        Development files for %{soname}
Group:          Development/Libraries/C and C++
Requires:       %{soname}%{sover} = %{version}

%description -n %{soname}-devel
A C99 library for realtime audio input/output.

This package contains header files and libraries needed to develop
application that use %{soname}.

%prep
%setup -q -n %{soname}-%{version}

%build
%cmake \
    -DBUILD_STATIC_LIBS=OFF \
    -DBUILD_EXAMPLE_PROGRAMS=OFF \
    -DBUILD_TESTS=OFF \
    -DENABLE_COREAUDIO=OFF \
    -DENABLE_WASAPI=OFF

make %{?_smp_mflags}

%install
%cmake_install

%post -n %{soname}%{sover} -p /sbin/ldconfig
%postun -n %{soname}%{sover} -p /sbin/ldconfig

%files -n %{soname}%{sover}
%defattr(-,root,root)
%doc CHANGELOG* LICENSE README*
%{_libdir}/%{soname}.so.*

%files -n %{soname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/%{soname}.so

%changelog
* Thu May 26 2016 avvissu@yandex.by
- Initial release
